QGIS Application - Bug report #3870
Negative numbers cannot be set as NULL in raster/clipping
2011-06-04 10:55 AM - alobo -

Status: Closed

Priority: Low

Assignee: Giuseppe Sucameli

Category: GDAL Tools

Affected QGIS version: Regression?: No
Operating System: All Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 13928
Description

At least in raster clipping, | cannot set 32768-as-NULL-using-the

| get

gdalwarp -dstnodata 32768 -q -cutline
/media/lomega_HDD/FLUXPYR/FIxPyrAOI1/FIxPyrAOI1.shp -dstalpha -of
GTiff /media/lomega_ HDD/FLUXPYR/SRTM/SRTM90v41/srtm36y37_04.tif
/media/lomega_HDD/FLUXPYR/SRTM/SRTM90v41/srtm90FPtif

instead of

gdalwarp -dstnodata -32768 -q -cutline
/media/lomega_HDD/FLUXPYR/FIxPyrAOI1/FIxPyrAQOI1.shp -dstalpha -of
GTiff /media/lomega_ HDD/FLUXPYR/SRTM/SRTM90v41/srtm36y37_04.tif
/media/lomega_ HDD/FLUXPYR/SRTM/SRTM90v41/srtm90FP.tif

(cut and paste to the command window was a simple workaround).

Agus

History

#1 - 2011-07-07 07:36 PM - Alister Hood

This bug also applies to raster>merge and raster>proximity, but not raster>translate, which does accept negative values.

Interestingly, raster>warp has a different entry widget, which accepts text. This could be because somebody wanted to be able to enter none, which is a

relatively recent option, and should be enabled for the others also!

#2 - 2011-09-16 03:46 AM - Alister Hood
- Pull Request or Patch supplied set to No
- Status changed from Open to Closed

Should be fixed in Commit:7093b06793e5999268da7ffa0bf2a974c4730912

#3 - 2011-09-16 03:47 AM - Alister Hood
- Resolution set to fixed
